//---------------------------------------------------------------------------

#ifndef MTMainFormH
#define MTMainFormH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "CPort.hpp"
#include "CPortCtl.hpp"
#include <Vcl.ComCtrls.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TComTerminal *ComTerminal;
	TStatusBar *StatusBar1;
	TPanel *Panel1;
	TComDataPacket *ComDataPacket1;
	TComPort *ComPort;
	TPopupMenu *PopupMenu1;
	TButton *ConnButton;
	TButton *PortButton;
	TButton *TermButton;
	TButton *FontButton;
	TButton *Button1;
	TComLed *TerminalReady;
	TComLed *ComLed1;
	TLabel *Label1;
	TLabel *Label2;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	void __fastcall ComDataPacket1CustomStart(TObject *Sender, const UnicodeString Str,
          int &Pos);
	void __fastcall ComDataPacket1CustomStop(TObject *Sender, const UnicodeString Str,
          int &Pos);
	void __fastcall ComDataPacket1Packet(TObject *Sender, const UnicodeString Str);
	void __fastcall ConnButtonClick(TObject *Sender);
	void __fastcall PortButtonClick(TObject *Sender);
	void __fastcall TermButtonClick(TObject *Sender);
	void __fastcall FontButtonClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall ComPortAfterClose(TObject *Sender);
	void __fastcall ComPortAfterOpen(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);

private:	// User declarations
	bool FInitFlag;
    TMemIniFile *FIni;
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
